Page MenuHomePhabricator

add back button in menu and about screen
ClosedPublic

Authored by herb on Feb 16 2016, 11:49 PM.

Details

Summary

Summary
There is no back button in menu and about screens.
So user cannot close the screens without 'escape key'.
To make more efficient I added back button on the screens.

Test Plan
  1. press 'esc' key
  2. see the back button on the screen
  3. prees 'F2' key
  4. see the back button on the screen

Diff Detail

Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1367
Build 1432: arc lint + arc unit
herb updated this revision to Diff 8485.Feb 16 2016, 11:49 PM
herb retitled this revision from to add back button in menu and about screen.
herb edited the test plan for this revision. (Show Details)
herb added reviewers: Hermet, Jaehyun_Cho, NikaWhite.
herb updated this object.
herb updated this revision to Diff 8486.Feb 17 2016, 1:00 AM

modify the back button swallow size

Hermet requested changes to this revision.Feb 17 2016, 2:02 AM
Hermet edited edge metadata.

please check comments.

data/themes/default/layout_common.edc
84

Could u please make this scalable?

src/bin/menu.c
142
  1. please check indentation
  2. about_back_btn_clicked_cb()
149
  1. please check indentation
  2. menu_back_btn_clicked_cb()
This revision now requires changes to proceed.Feb 17 2016, 2:02 AM
Hermet accepted this revision.Feb 18 2016, 9:27 AM
Hermet edited edge metadata.
This revision is now accepted and ready to land.Feb 18 2016, 9:27 AM
Hermet closed this revision.Feb 18 2016, 9:36 AM